//---------------------------------------------------------------------------
// Contraband Hell Edition - Immortalware JTHZ
// Concept & programming:    Julius B. Thyssen & Hens Zimmerman
// https://come.to/us         mailto:jthz@usa.net
// Programmed using          Borland C++ Builder 3.0 Professional
//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
// jthz added
#include <filectrl.hpp>
#include <registry.hpp>
#include <mmsystem.h>
#include <shellapi.h>
#include "crc32.h"
#include "idea.h"
#include "randdev.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TPageControl *PageControl1;
    TTabSheet *TabSheet1;
    TTabSheet *TabSheet2;
    TTabSheet *TabSheet3;
    TGroupBox *GroupBox1;
    TGroupBox *GroupBox2;
    TBitBtn *btnData;
    TBitBtn *btnBMP;
    TCheckBox *checkBackup;
    TLabel *labelData;
    TLabel *labelBMP;
    TCheckBox *checkIDEA;
    TEdit *editPW1;
    TEdit *editPW2;
    TGroupBox *GroupBox3;
    TBitBtn *btnFinish;
    TOpenPictureDialog *OpenPictureDialog1;
    TOpenDialog *OpenDialog1;
    TAnimate *Animate1;
    TGroupBox *GroupBox4;
    TBitBtn *btnXBMP;
    TLabel *labelXBMP;
    TBitBtn *btnXData;
    TEdit *editXData;
    TGroupBox *GroupBox5;
    TLabel *Label1;
    TEdit *editXPW;
    TGroupBox *GroupBox6;
    TBitBtn *btnXFinish;
    TAnimate *Animate2;
    TSaveDialog *SaveDialog1;
    TGroupBox *GroupBox7;
    TBitBtn *btnSourcecode;
    TTimer *Timer1;
    TLabel *labelSFly;
    TLabel *labelFly;
    TMemo *Memo1;
    TImage *Image1;
    TPopupMenu *PopupMenu1;
    TMenuItem *Embed1;
    TMenuItem *Extract1;
    TMenuItem *About1;
    TMenuItem *N1;
    TMenuItem *Quit1;
    void __fastcall checkIDEAClick(TObject *Sender);
    void __fastcall btnDataClick(TObject *Sender);
    void __fastcall btnBMPClick(TObject *Sender);
    void __fastcall btnFinishClick(TObject *Sender);
    void __fastcall btnXBMPClick(TObject *Sender);
    void __fastcall btnXDataClick(TObject *Sender);
    void __fastcall btnXFinishClick(TObject *Sender);
    void __fastcall PageControl1Change(TObject *Sender);
    void __fastcall btnSourcecodeClick(TObject *Sender);
    void __fastcall Timer1Timer(TObject *Sender);
    void __fastcall Memo1MouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall labelFlyMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
    void __fastcall Embed1Click(TObject *Sender);
    void __fastcall Extract1Click(TObject *Sender);
    void __fastcall About1Click(TObject *Sender);
    void __fastcall Quit1Click(TObject *Sender);
    void __fastcall checkBackupClick(TObject *Sender);
private:	// User declarations
    String RegGet(String);
    void RegPut(String,String);
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
